CustomResourceMetricValue (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.metrics, class: CustomResourceMetricValue

Package org.apache.hadoop.yarn.metrics

# Class CustomResourceMetricValue

java.lang.Object
org.apache.hadoop.yarn.metrics.CustomResourceMetricValue

public class CustomResourceMetricValue extends Object
Class that holds metrics values for custom resources in a map keyed with the name of the custom resource. There are different kinds of values like allocated, available and others.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CustomResourceMetricValue()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `decrease(org.apache.hadoop.yarn.api.records.Resource res)`
  `void`
  `decreaseWithMultiplier(org.apache.hadoop.yarn.api.records.Resource res, int containers)`
  `Map<String,Long>`
  `getValues()`
  `void`
  `increase(org.apache.hadoop.yarn.api.records.Resource res)`
  `void`
  `increaseWithMultiplier(org.apache.hadoop.yarn.api.records.Resource res, long multiplier)`
  `void`
  `set(org.apache.hadoop.yarn.api.records.Resource res)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CustomResourceMetricValue

    public CustomResourceMetricValue()

- ## Method Details

  - ### increase

    public void increase(org.apache.hadoop.yarn.api.records.Resource res)

  - ### increaseWithMultiplier

    public void increaseWithMultiplier(org.apache.hadoop.yarn.api.records.Resource res, long multiplier)

  - ### decrease

    public void decrease(org.apache.hadoop.yarn.api.records.Resource res)

  - ### decreaseWithMultiplier

    public void decreaseWithMultiplier(org.apache.hadoop.yarn.api.records.Resource res, int containers)

  - ### set

    public void set(org.apache.hadoop.yarn.api.records.Resource res)

  - ### getValues

    public Map<String,Long> getValues()